View Issue Details

IDProjectCategoryView StatusLast Update
0002625PluginsNetBoxpublic2014-03-24 19:25
ReportersonarAssigned Tomichael.lukashov 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002625: Ошибка прав при закачке на sftp
DescriptionNetBox Version 2.1.36 (Build 298) (OS 6.1.7600 - Windows 7 Professional)
протокол SFTP , сервер redhat 5 Linux 2.6.32-358.2.1.el6.x86_64

копирую файл на сервер, выскакивает ошибка
Upload of file 'usr-030.09.zip' was successful, but error occurred while setting the permissions and/or timestamp.**
If the problem persists, turn off setting permissions or preserving timestamp. Alternatively you can turn on 'Ignore permission errors' option. ("No such file or directory.
Error code: 2
Error message from server: No such file

при нажатии на abort, либо skip, либо skip all на сервере файл остается с расширением filepart.

если в настройках выставить как рекомендуется 'Ignore permission errors', то ошибка все равно происходит.

при копировании пачки файлов , сообщение об ошибке возникает , нажимаю skip all. далее сообщений нет. на сервере часть файлов нормальных, часть с расширением filepart. т.е. игнорирование ошибки не приводит к переименованию файла.

при использовании scp ошибок нет.

две проблемы
1. при ошибке остается файл с расширением filepart. не происходит переименование
2. игнорируется настройка 'Ignore permission errors'

приложил логи.
1.txt - копирование одного файла
2.txt, 3.log - копирование пачки
логи чуть поправленные , удалены адреса хостов, и имена папок отредактированы
TagsNo tags attached.

Activities

sonar

2014-03-19 10:27

reporter  

Archive.7z (11,798 bytes)

michael.lukashov

2014-03-20 21:23

developer   bugnote:0012008

Ошибка возникает, если включена опция "NetBox - Endurance settings" Enable transfer resume/transfer to temporary filename for Files above 100 KiB

NetBox commands --> Configure --> Endurance settings
(•) Files above 100 KiB

Рекомендую отключить эту опцию до исправления ошибки.

michael.lukashov

2014-03-21 12:24

developer   bugnote:0012011

Исправлено в сегодняшней ночной сборке

sonar

2014-03-24 07:55

reporter   bugnote:0012021

копируется без ошибок.
вне зависимости от 'Ignore permission errors'. ошибки проглатываются ? или не возникают?

michael.lukashov

2014-03-24 09:21

developer   bugnote:0012022

Ошибки не возникают.

sonar

2014-03-24 10:02

reporter   bugnote:0012023

тогда можно закрыть

Issue History

Date Modified Username Field Change
2014-03-19 10:27 sonar New Issue
2014-03-19 10:27 sonar File Added: Archive.7z
2014-03-20 21:23 michael.lukashov Note Added: 0012008
2014-03-21 12:24 michael.lukashov Note Added: 0012011
2014-03-21 12:24 michael.lukashov Assigned To => michael.lukashov
2014-03-21 12:24 michael.lukashov Status new => feedback
2014-03-24 07:55 sonar Note Added: 0012021
2014-03-24 07:55 sonar Status feedback => assigned
2014-03-24 09:21 michael.lukashov Note Added: 0012022
2014-03-24 10:02 sonar Note Added: 0012023
2014-03-24 19:25 michael.lukashov Status assigned => closed
2014-03-24 19:25 michael.lukashov Resolution open => fixed
2014-03-24 19:25 michael.lukashov Fixed in Version => 3.0